package com.docus.server.his.service.impl;

import com.docus.server.his.infrastructure.HisSysDao;
import com.docus.server.his.service.IHisService;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
@AllArgsConstructor
public class HisService implements IHisService {

    private final HisSysDao hisSysDao;

    @Override
    public List<DeptDTO> getDeptListView(Date startDate, Date endDate, long pageNum, long pageSize) {
        return hisSysDao.getDeptListView(startDate, endDate, pageNum, pageSize);
    }

    @Override
    public List<UserDTO> getUserListView(Date startDate, Date endDate, long pageNum, long pageSize) {
        return hisSysDao.getUserListView(startDate, endDate, pageNum, pageSize);
    }

    @Override
    public List<TBasicDTO> getTBasicListView(Date startDate, Date endDate, long pageNum, long pageSize) {
        return hisSysDao.getTBasicListView(startDate, endDate, pageNum, pageSize);
    }

}
